<?php


class Database
{

    private $connection;

    /**
     * Database constructor.
     *
     * Baut die Verbindung zur Datenbank auf
     */
    public function __construct()
    {
        // MySQL-Zugangsdaten
        // Hier: Automatisch auslesen aus .my.cnf. Sonst einfach von Hand eintragen
        $user = get_current_user(); // Benutzer, dem diese Datei gehört!
        $myCnf = parse_ini_file("/home/$user/.my.cnf");

        $host = $myCnf['host'];
        $user = $myCnf['user'];
        $password = $myCnf['password'];
        $database = $myCnf['database'];

        $this->connection = new mysqli($host, $user, $password, $database);
    }

    /**
     * Schließt die Verbindung zru Datenbank
     */
    public function __destruct()
    {
        $this->connection->close();
    }
    
    public function getQuestions($n = 10)
    {
        $sql = "SELECT * FROM questions ORDER BY RAND() LIMIT $n";

        $result = $this->connection->query($sql);
        $resultArray = [];

        while ($line = $result->fetch_assoc()) {
            array_push($resultArray, $line);
        }

        $result->free();

        return $resultArray;
    }

}
